use crate::RemoteGitEngine;

#[derive(Default)]
pub struct LocalGitClient {}

impl LocalGitClient {
    pub fn new() -> Self {
        Self {}
    }
}

impl RemoteGitEngine for LocalGitClient {
    fn connect(&self, _owner: &str, _repo: &str) -> anyhow::Result<()> {
        todo!()
    }

    fn get_tags(&self, _owner: &str, _repo: &str) -> anyhow::Result<Vec<crate::gitea_client::Tag>> {
        todo!()
    }

    fn get_commits_since(
        &self,
        _owner: &str,
        _repo: &str,
        _since_sha: Option<&str>,
        _branch: &str,
    ) -> anyhow::Result<Vec<crate::gitea_client::Commit>> {
        todo!()
    }

    fn get_pull_request(&self, _owner: &str, _repo: &str) -> anyhow::Result<Option<usize>> {
        todo!()
    }

    fn create_pull_request(
        &self,
        _owner: &str,
        _repo: &str,
        _version: &str,
        _body: &str,
        _base: &str,
    ) -> anyhow::Result<usize> {
        todo!()
    }

    fn update_pull_request(
        &self,
        _owner: &str,
        _repo: &str,
        _version: &str,
        _body: &str,
        _index: usize,
    ) -> anyhow::Result<usize> {
        todo!()
    }

    fn create_release(
        &self,
        _owner: &str,
        _repo: &str,
        _version: &str,
        _body: &str,
        _prerelease: bool,
    ) -> anyhow::Result<crate::gitea_client::Release> {
        todo!()
    }
}
