#!/usr/bin/env bash

set -e

CMD_PREFIX="cargo run -p ci --"

if [[ -n "$CI_PREFIX" ]]; then
  CMD_PREFIX="$CI_PREFIX"
fi


$CMD_PREFIX pull-request \
  --mkdocs-image "$MKDOCS_IMAGE" \
  --caddy-image "$CADDY_IMAGE" \
  --bin-name "$SERVICE"  